Object.defineProperty(exports, '__esModule', { value: true });

var Script = require('next/script');
var React = require('react');
var Client = require('./Client');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var Script__default = /*#__PURE__*/_interopDefault(Script);
var React__default = /*#__PURE__*/_interopDefault(React);

const GTM_ID = process.env.NEXT_PUBLIC_GTM_ID;
/**
 * Prepare the dataLayer without loading gtm.js
 *
 * This is a React Element, not a component, see example.
 *
 * @example
 * <head>{GoogleTagManagerHead}</head>
 */ const GoogleTagManagerHead = GTM_ID ? /*#__PURE__*/ React__default.default.createElement("script", {
    id: "gtm-head",
    dangerouslySetInnerHTML: {
        __html: `window.dataLayer=window.dataLayer||[{'gtm.start':new Date().getTime(),event:'gtm.js'}];`
    }
}) : null;
/**
 * Load gtm.js after page is interactive
 *
 * @example
 * <body>
 *   {children}
 *   {GoogleTagManagerBody}
 * </body>
 */ const GoogleTagManagerBody = GTM_ID ? /*#__PURE__*/ React__default.default.createElement(React__default.default.Fragment, null, /*#__PURE__*/ React__default.default.createElement(Client.GoogleTagManagerClient, null), /*#__PURE__*/ React__default.default.createElement(Script__default.default, {
    src: `//www.googletagmanager.com/gtm.js?id=${GTM_ID}`,
    async: true,
    defer: true,
    id: "gtm-body",
    strategy: "afterInteractive"
}), /*#__PURE__*/ React__default.default.createElement("noscript", null, /*#__PURE__*/ React__default.default.createElement("iframe", {
    src: `//www.googletagmanager.com/ns.html?id=${GTM_ID}`,
    height: "0",
    width: "0",
    style: {
        display: 'none',
        visibility: 'hidden'
    }
}))) : /*#__PURE__*/ React__default.default.createElement(Client.GoogleTagManagerClient, null);

exports.GTM_ID = GTM_ID;
exports.GoogleTagManagerBody = GoogleTagManagerBody;
exports.GoogleTagManagerHead = GoogleTagManagerHead;
