import React from 'react';

declare const GTM_ID: string | undefined;
/**
 * Prepare the dataLayer without loading gtm.js
 *
 * This is a React Element, not a component, see example.
 *
 * @example
 * <head>{GoogleTagManagerHead}</head>
 */
declare const GoogleTagManagerHead: React.JSX.Element | null;
/**
 * Load gtm.js after page is interactive
 *
 * @example
 * <body>
 *   {children}
 *   {GoogleTagManagerBody}
 * </body>
 */
declare const GoogleTagManagerBody: React.JSX.Element;

export { GTM_ID, GoogleTagManagerBody, GoogleTagManagerHead };
