/// <reference types="node" />
import { UrlObject } from 'url';
import NextLink from 'next/link';
import { ComponentProps } from 'react';
type Href = ComponentProps<typeof NextLink>['href'];
export declare function isRelativeHref(href: Href): boolean;
export declare function isLocalHref(href: Href): boolean;
export declare function localizeHref(href: string, locale: string, defaultLocale: string, pathname: string): string;
export declare function localizeHref(href: UrlObject | string, locale: string, defaultLocale: string, pathname: string): UrlObject | string;
export declare function prefixHref(href: string, locale: string): string;
export declare function prefixHref(href: UrlObject | string, locale: string): UrlObject | string;
export declare function unlocalizePathname(pathname: string, locale: string): string;
export declare function localizePathname(locale: string, pathname: string): string;
export declare function hasPathnamePrefixed(locale: string, pathname: string): boolean;
export {};
